Retrieve orders by date (V4)
POST
/v4/orders/query
const url = 'https://api-crm-staging.divinea.com/api/v4/orders/query';const options = { method: 'POST', headers: {APIKey: '<APIKey>', 'Content-Type': 'application/json'}, body: '{"dateFrom":"2026-04-15T12:00:00Z","dateTo":"2026-04-15T12:00:00Z","limit":1,"offset":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api-crm-staging.divinea.com/api/v4/orders/query \ --header 'APIKey: <APIKey>' \ --header 'Content-Type: application/json' \ --data '{ "dateFrom": "2026-04-15T12:00:00Z", "dateTo": "2026-04-15T12:00:00Z", "limit": 1, "offset": 1 }'Use for date-range list; response includes WS-2158 extended fields when available.
Authorizations
Sezione intitolata “Authorizations”Parameters
Sezione intitolata “Parameters”Header Parameters
Sezione intitolata “Header Parameters”APIKey
string
APIKey
Request Body
Sezione intitolata “Request Body”RequestParam
Media typeapplication/json
Param
object
dateFrom
string format: date-time
dateTo
string format: date-time
limit
integer format: int32
offset
integer format: int32
Examplegenerated
{ "dateFrom": "2026-04-15T12:00:00Z", "dateTo": "2026-04-15T12:00:00Z", "limit": 1, "offset": 1}Responses
Sezione intitolata “Responses”OK
Media type*/*